Debian Bug report logs - #720201
dgit uses undocumented Vcs-Dgit-Master .dsc control file field

version graph

Package: dgit; Maintainer for dgit is Ian Jackson <ijackson@chiark.greenend.org.uk>; Source for dgit is src:dgit.

Reported by: Ian Jackson <ijackson@chiark.greenend.org.uk>

Date: Mon, 19 Aug 2013 15:15:01 UTC

Severity: normal

Found in version 3.0

Fixed in version dgit/0.18

Done: Ian Jackson <ijackson@chiark.greenend.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#720201; Package dgit. (Mon, 19 Aug 2013 15:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
New Bug report received and forwarded. (Mon, 19 Aug 2013 15:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: submit@bugs.debian.org
Subject: dgit uses undocumented Vcs-Dgit-Master .dsc control file field
Date: Mon, 19 Aug 2013 16:13:50 +0100
Package: dgit
Version: 3.0

From the manpage:
  Debian Policy needs to be updated to describe the new Vcs-Dgit-Master
  field (and to specify that it is an RC bug for that field to refer to
  an unavailable commit).

Also, lintian needs to be updated (which itself depends on policy
being changed).

I am filing this bug against dgit to provide visibility in dgit's bug
list of these issues.

Ian.



Added blocking bug(s) of 720201: 720507 Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Fri, 23 Aug 2013 16:21:19 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 720201: 721205 Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Thu, 29 Aug 2013 01:24:04 GMT) Full text and rfc822 format available.

Reply sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
You have taken responsibility. (Sat, 09 Nov 2013 10:36:18 GMT) Full text and rfc822 format available.

Notification sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Bug acknowledged by developer. (Sat, 09 Nov 2013 10:36:18 GMT) Full text and rfc822 format available.

Message #14 received at 720201-close@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 720201-close@bugs.debian.org
Subject: Bug#720201: fixed in dgit 0.18
Date: Sat, 09 Nov 2013 10:33:44 +0000
Source: dgit
Source-Version: 0.18

We believe that the bug you reported is fixed in the latest version of
dgit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720201@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Jackson <ijackson@chiark.greenend.org.uk> (supplier of updated dgit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 09 Nov 2013 10:12:13 +0000
Source: dgit
Binary: dgit
Architecture: all source
Version: 0.18
Distribution: unstable
Urgency: low
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Changed-By: Ian Jackson <ijackson@chiark.greenend.org.uk>
Closes: 720170 720171 720176 720201 721185 723605 725632 726955 727125 727200
Description: 
 dgit       - git interoperability with the Debian archive
Changes: 
 dgit (0.18) unstable; urgency=low
 .
   Major new feature:
   * Remote push (dgit rpush), a la debsign -r.  Closes:#721185.
 .
   Improved behaviours:
   * dgit build, by default, uses the archive to find out what the correct
     -v<version> option is to pass to dpkg-genchanges.  Closes:#727200.
   * Abolish the sshdakls method and replace it with sshpsql: that is, ssh
     (to coccia, by default) and run sql commands on the ftpmaster
     database.  This is faster and has fewer bugs but is vulnerable to db
     schema changes.  Closes:#726955.  Closes:#720170.  Closes:#720176.
   * When generating git tags, quote the (uncanonicalised) changelog's
     Distribution field as the suite.
   * Command execution reports from --dry-run go to stderr.
 .
   Other new features:
   * Support --gpg=... to provide a replacement command for gpg.
   * Support --ssh=... and --ssh:... to affect how we run ssh.
 .
   Bugfixes:
   * When using sbuild, pass the arguments to mergechanges in the right
     order so that we use the correct Description (the _source one,
     not the one from sbuild which didn't get e.g. -v<version>).
   * push actually takes an optional suite, like it says in the synopsis.
     Closes:#727125.
   * Fix dgit --damp-run sbuild to actually work.
   * Fix the "shellquote" internal subroutine.  The bugs in it ought not to
     have caused any real trouble in previous versions of dgit.
 .
   Documentation and message fixes:
   * manpage: Clarify comments about orig tarballs.  Closes: #723605.
   * manpage: Remove comment in BUGS about lack of policy docs
     for Dgit field, which is specified now.  Closes:#720201.
   * manpage: Make discussion of --existing-package less scary.  The
     default archive access method no longer needs it.  Closes:#720171.
   * Mention "git merge", not "git-merge", in helpful message.
     Closes:#725632.
 .
   Internal and debugging improvements:
   * Report chdir actions in debugging output.
   * Improvements to implementation of --dry-run and --damp-run.
   * Some code motion and cleanups.
 .
   Note: changelog entries for the following versions, which were uploaded
   to Debian experimental, have been collapsed into this single entry:
     0.18~experimental2 0.18~experimental1
     0.17~experimental7 0.17~experimental6 0.17~experimental5
     0.17~experimental4 0.17~experimental3 0.17~experimental2
     0.17~experimental1
     0.16~experimental3 0.16~experimental2 0.16~experimental1
   We do describe here all the changes since 0.17.
Checksums-Sha1: 
 eaafe315943881dc4010f926ed040e8f612bb3ee 1204 dgit_0.18.dsc
 b83599e089c049f596476038415238a79764aff2 30716 dgit_0.18.tar.gz
 e867056f634de10dee58ab6d43bea3c720bc6da5 29956 dgit_0.18_all.deb
Checksums-Sha256: 
 5347f713dcef4ad1405840844ab849d877af2aabee35ab3212bb3214c7399e6b 1204 dgit_0.18.dsc
 b1122bdfb6e26f090e16d822083866fb851ba840425a0cd565eeb66b95989399 30716 dgit_0.18.tar.gz
 12196c674283d15f4c3535bf207b1ed203d453cd79d656b23237bdd22287ef64 29956 dgit_0.18_all.deb
Files: 
 c6245409b90e2532b03f61443e5a1296 1204 devel optional dgit_0.18.dsc
 0301b1e19ae18e5d89cee5439a937e6f 30716 devel optional dgit_0.18.tar.gz
 2fa06ac34b5907750755167b1edcf41c 29956 devel optional dgit_0.18_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJSfgtCAAoJEOPjOSNItQ05nysH/2ZhNrjfjy3RYhNDdffBVQNK
GNZDb16smRIhxaT59eDXiKO7DahVlEABs32+8HEdqApY//846QWZcHZ1A/DMaVm4
EcMlUH7/SXOFUeLljQGHrtatTHl/NdpmezLxIEAnSDsjd9DaNri4GWC7AtO2cdQ2
wQHCvX2K7raB/uGjBDSA6P/iZPhba+VJZDbq44nh/0dAjRuaEeZ8dVcemVgwlFiN
SRya0Ocg2WPBHLEFJA33Z9EQxrFSkB70ZOZjdVC6iYeDnRpmBpaf2GE1XLiVm1ol
g42HguAuZ/D9Rgknyp8TfL4u5XFq/4vz+UgT6fgZcjRFIuUD/LUl1VUJEcOj28k=
=LlkR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Dec 2013 07:25:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:43:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.